Status: Resolved Start date: 12/05/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 0.30 hour
Target version: rsb-0.7
Description

A colleague from HUMAVIPS was confused about the name, because it suggests that registered converters there are for the domain
type string. Maybe we find a better name or at least add some more documentation about this.

Associated revisions
Revision 2b08484a - 03/15/2012 09:11 AM - J. Wienke

Provide a template method to get converterRepositories by their wire type. Internally this uses a name-based lookup for being prepared if the c++-type
to repository mapping is not sufficient anymore.

The actual implementation is not really nice as I had to use a lot of  void pointer to overcome a lacking hierarchy through templates and void
references. I hope we find a better solutions once.

fixes #745

History
#1 - 03/14/2012 04:15 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke
- Target version set to rsb-0.7

I will add a converterRepository<type> method to continue with the generics stuff and this method will be marked deprecated and links to the new
method.

#2 - 03/15/2012 09:13 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r3452.
